import { 
    uiGridTemplate,
    uiGridRowTemplate,
    uiGridCellEditorTemplate,
    uiGridMenuButtonTemplate,
    uiGridStUpdatedHeaderTemplate,
    uiGridStUpdatedTemplate,
    uiSelectStChoicesTemplate,
    uiSelectStMatchTemplate,
    uiSelectStNoChoiceTemplate,
    uiSelectStSelectTemplate,
    uiSelectStSelectMultipleTemplate,
    uiSelectStMatchMultipleTemplate
} from "../Templates/Templates.module";

/* @ngInject */
export function TemplateRun($templateCache) {
    $templateCache.put('ui-grid/ui-grid', uiGridTemplate);
    $templateCache.put('ui-grid/ui-grid-row', uiGridRowTemplate);
    $templateCache.put('ui-grid/cellEditor', uiGridCellEditorTemplate);
    $templateCache.put('ui-grid/ui-grid-menu-button', uiGridMenuButtonTemplate);
    $templateCache.put('ui-grid/st/updatedHeader', uiGridStUpdatedHeaderTemplate);
    $templateCache.put('ui-grid/st/updated', uiGridStUpdatedTemplate);
    $templateCache.put('ui-select-st/choices.tpl.html', uiSelectStChoicesTemplate);
    $templateCache.put('ui-select-st/match.tpl.html', uiSelectStMatchTemplate);
    $templateCache.put('ui-select-st/no-choice.tpl.html', uiSelectStNoChoiceTemplate);
    $templateCache.put('ui-select-st/select.tpl.html', uiSelectStSelectTemplate);
    $templateCache.put('ui-select-st/match-multiple.tpl.html', uiSelectStMatchMultipleTemplate);
    $templateCache.put('ui-select-st/select-multiple.tpl.html', uiSelectStSelectMultipleTemplate);
}